com.lowagie.text.xml.xmp

## Class XmpSchema

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - com.lowagie.text.xml.xmp.XmpSchema

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

Direct Known Subclasses:
  DublinCoreSchema, PdfA1Schema, PdfSchema, XmpBasicSchema, XmpMMSchema

    public abstract class XmpSchema
    extends java.util.Properties

Abstract superclass of the XmpSchemas supported by iText.

See Also:
  Serialized Form

### Field Summary

Fields
`private static long` `serialVersionUID`
`protected java.lang.String` `xmlns` the namesspace

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
Constructor and Description
`XmpSchema(java.lang.String xmlns)` Constructs an XMP schema.

### Method Summary

Methods
`java.lang.Object` `addProperty(java.lang.String key, java.lang.String value)`
`static java.lang.String` `escape(java.lang.String content)`
`java.lang.String` `getXmlns()`
`protected void` `process(java.lang.StringBuffer buf, java.lang.Object p)` Processes a property
`java.lang.Object` `setProperty(java.lang.String key, LangAlt value)`
`java.lang.Object` `setProperty(java.lang.String key, java.lang.String value)`
`java.lang.Object` `setProperty(java.lang.String key, XmpArray value)`
`java.lang.String` `toString()` The String representation of the contents.

### Methods inherited from class java.util.Properties

`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### xmlns

    protected java.lang.String xmlns

the namesspace

### Constructor Detail

#### XmpSchema

    public XmpSchema(java.lang.String xmlns)

Constructs an XMP schema.

Parameters:
  `xmlns` -

### Method Detail

#### toString

    public java.lang.String toString()

The String representation of the contents.

Overrides:
  `toString` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
Returns:
  a String representation.

#### process

    protected void process(java.lang.StringBuffer buf,
               java.lang.Object p)

Processes a property

Parameters:
  `buf` -
  `p` -

#### getXmlns

    public java.lang.String getXmlns()

Returns:
  Returns the xmlns.

#### addProperty

    public java.lang.Object addProperty(java.lang.String key,
                               java.lang.String value)

Parameters:
  `key` -
  `value` -
Returns:
  the previous property (null if there wasn't one)

#### setProperty

    public java.lang.Object setProperty(java.lang.String key,
                               java.lang.String value)

Overrides:
  `setProperty` in class `java.util.Properties`
See Also:
  `Properties.setProperty(java.lang.String, java.lang.String)`

#### setProperty

    public java.lang.Object setProperty(java.lang.String key,
                               XmpArray value)

Parameters:
  `key` -
  `value` -
Returns:
  the previous property (null if there wasn't one)
See Also:
  `Properties.setProperty(java.lang.String, java.lang.String)`

#### setProperty

    public java.lang.Object setProperty(java.lang.String key,
                               LangAlt value)

Parameters:
  `key` -
  `value` -
Returns:
  the previous property (null if there wasn't one)
See Also:
  `Properties.setProperty(java.lang.String, java.lang.String)`

#### escape

    public static java.lang.String escape(java.lang.String content)

Parameters:
  `content` -
Returns:
  an escaped string